Nutanix AHV: 複数の脆弱性 (NXSA-AHV-20201105.2298)

high Nessus プラグイン ID 165506

概要

Nutanix AHV ホストは、複数の脆弱性の影響を受けます。

説明

リモートホストにインストールされている AHV のバージョンは、20201105.2298 より前です。したがって、NXSA-AHV-20201105.2298 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 1.2.12より前の zlib は、入力に多くの遠方の一致がある場合、デフレート (圧縮) の際にメモリ破損を引き起こす可能性があります。(CVE-2018-25032)

- GNU gzip の zgrep ユーティリティに、任意のファイル書き込みの脆弱性が見つかりました。攻撃者が選択したファイル名 (細工されたファイル名など) に zgrep を適用すると、攻撃者が選択したファイルに攻撃者のコンテンツが上書きされる可能性があります。この欠陥は、2 つ以上の改行のあるファイル名を処理する際の検証が不十分なために発生し、選択されたコンテンツとターゲットファイル名が細工された複数行のファイル名に埋め込まれています。この欠陥により、権限の弱いリモート攻撃者が、zgrep にシステム上の任意のファイルの書き込みを強制させる可能性があります。(CVE-2022-1271)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Nutanix AHV ソフトウェアを推奨バージョンに更新してください。

関連情報

https://download.nutanix.com/advisories/NXSA-AHV-20201105-2298.html

プラグインの詳細

深刻度: High

ID: 165506

ファイル名: nutanix_NXSA-AHV-20201105_2298.nasl

バージョン: 1.2

タイプ: local

ファミリー: Misc.

公開日: 2022/9/27

更新日: 2022/9/27

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2018-25032

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

CVSS スコアのソース: CVE-2022-1271

脆弱性情報

CPE: cpe:/o:nutanix:ahv

必要な KB アイテム: Host/Nutanix/Data/Node/Version, Host/Nutanix/Data/Node/Type

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/9/27

脆弱性公開日: 2022/3/25

参照情報

CVE: CVE-2018-25032, CVE-2022-1271